Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.util
Class Namespaces

    java.lang.Object
      org.basex.query.xquery.util.Namespaces

    public final class Namespaces

extends java.lang.Object

Namespaces.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`int` | `size` Number of stored namespaces.

Constructor Summary
`Namespaces()`

Method Summary
`boolean` | `index(QNm name)` Indexes the specified namespace.
`byte[]` | `prefix(URI uri)` Finds the specified URI and returns the prefix.
`boolean` | `standard(URI uri)` Checks if the specified uri is predefined.
`URI` | `uri(byte[] pre)` Finds the specified namespace uri.
`void` | `uri(QNm qname)` Assigns a uri to the specified QName.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    public int size

  Number of stored namespaces.

Constructor Detail

### Namespaces

    public Namespaces()

Method Detail

### index

    public boolean index(QNm name)
                  throws XQException

  Indexes the specified namespace.

  Parameters:
    `name` - namespace
  Returns:
    true if namespaces was added
  Throws:
    `XQException` - evaluation exception

### prefix

    public byte[] prefix(URI uri)

  Finds the specified URI and returns the prefix.

  Parameters:
    `uri` - URI
  Returns:
    prefix

### standard

    public boolean standard(URI uri)

  Checks if the specified uri is predefined.

  Parameters:
    `uri` - uri to be checked
  Returns:
    result of check

### uri

    public URI uri(byte[] pre)
            throws XQException

  Finds the specified namespace uri.

  Parameters:
    `pre` - prefix of the namespace
  Returns:
    uri
  Throws:
    `XQException` - evaluation exception

### uri

    public void uri(QNm qname)

  Assigns a uri to the specified QName.

  Parameters:
    `qname` - qname

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD